Zoneomics Logo
Gets jurisdiction-specific metadata and zoning data availability details for each city.
GET
https://api.zoneomics.com/v2/jurisdictions

Jurisdiction API retrieves metadata and data availability details for each city (jurisdiction). It provides jurisdiction-specific information such as the city name, state, important review and modification dates, and the types of zoning data available for that jurisdiction.

Request Data
Request Parameters
api_key
string
required

A token needed to make API calls.

limit
number

Defines the number of records to return.

offset
number

Used for pagination. Specifies the number of records to skip before starting to return results.

id
number

API would return the city against the set city ID.

name
string

Returns the cities that have the specified city name in their value.

state
string

Returns all the cities that are in the specified state.

Response Data
statusCode
number

Indicates whether the request was successful or not

success
boolean

Indicates whether the request was successful or not

data
object

This section provides detailed descriptions of all the data fields returned in the API response.

AttributeDescriptionData typeSample Value
idID of a City.Number162
nameName of a City.StringBronxville
stateThe state of the city.StringNew York
publishing_dateIndicates when the data was published by the government source.String2026-02-15T00:00:00.000Z
last_reviewed_dateDisplays the date indicating when the zoning data was last reviewed for updates. String2024-01-18
date_modifiedDisplays the date when the data of the city was last modified.String2024-012-12
data_availableDisplays what type of zoning data is available for a city.Array['Zoning', 'Zoning with PLU', 'Zoning with CTRLs', 'All']
Use cases

Find all the usecases for the api below

Get jurisdiction data of all cities
When request is sent with only the API key as the query parameter, then jurisdiction data of all cities are returned in the response.
https://api.zoneomics.com/v2/jurisdictions?api_key=<your_API_key>
Filter data by city ID
When id parameter is passed with an ID of a city, then the API would return the jurisdictions data of that specific city.
https://api.zoneomics.com/v2/jurisdictions?id=150&api_key=<your_api_key>
Filter data by city name
When name parameter is passed with the name of a city, then all cities with this matching name are returned in the response.
https://api.zoneomics.com/v2/jurisdictions?name=Orlando&api_key=<your_api_key>
Filter data by state
When the state parameter is set to a state name, the API returns the jurisdictions data of all the cities within that state.
https://api.zoneomics.com/v2/jurisdictions?state=Florida&api_key=<your_api_key>

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.